org.apache.cassandra.db

## Class SizeEstimatesRecorder

- java.lang.Object
- - org.apache.cassandra.service.MigrationListener
  - - org.apache.cassandra.db.SizeEstimatesRecorder

All Implemented Interfaces:
  java.lang.Runnable

    public class SizeEstimatesRecorder
    extends MigrationListener
    implements java.lang.Runnable

A very simplistic/crude partition count/size estimator. Exposing per-primary-range estimated partitions count and size in CQL form, as a direct CQL alternative to Thrift's describe_splits_ex(). Estimates (per primary range) are calculated and dumped into a system table (system.size_estimates) every 5 minutes. See CASSANDRA-7688.

### Field Summary

Fields
`static SizeEstimatesRecorder` `instance`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onDropColumnFamily(java.lang.String keyspace, java.lang.String table)`
`void` `run()`

### Methods inherited from class org.apache.cassandra.service.MigrationListener

`onCreateAggregate, onCreateColumnFamily, onCreateFunction, onCreateKeyspace, onCreateUserType, onDropAggregate, onDropFunction, onDropKeyspace, onDropUserType, onUpdateAggregate, onUpdateColumnFamily, onUpdateFunction, onUpdateKeyspace, onUpdateUserType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final SizeEstimatesRecorder instance

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`

#### onDropColumnFamily

    public void onDropColumnFamily(java.lang.String keyspace,
                                   java.lang.String table)

Overrides:
  `onDropColumnFamily` in class `MigrationListener`